image: node:latest

stages:
    - build
    - test
# - deploy

cache:
    key: ${CI_COMMIT_REF_SLUG}
    paths:
        - .npm/

install_dependencies:
    stage: build
    script:
        - npm ci --cache .npm --prefer-offline
    artifacts:
        paths:
            - node_modules/
        expire_in: 1 week

testing_jest:
    stage: test
    script: npm run test

testing_eslint:
    stage: test
    script: npm run lint

testing_prettier:
    stage: test
    script: npm run prettier-check
